Bug 239825 - www/elixir-phoenix: Update to 1.4.9
Summary: www/elixir-phoenix: Update to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-erlang (Nobody)
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-08-13 17:12 UTC by Mateusz Kwiatkowski
Modified: 2022-10-22 14:22 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (erlang)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Kwiatkowski 2019-08-13 17:12:34 UTC
Phoenix 1.4.9 was released: https://github.com/phoenixframework/phoenix/releases
Comment 4 Dave Cottlehuber freebsd_committer 2022-06-08 11:00:17 UTC
is there any value in having this as an actual port at all?

- normal usage is to install the archive, then `mix phx.new ...`
- it's not usable as a stand-alone application
- it's not a dependency for any other ports

I'm expecting to remove it per https://www.freebsd.org/status/report-2021-07-2021-09/#_freebsd_erlang_ecosystem_ports_update
Comment 5 Mateusz Kwiatkowski 2022-06-08 11:03:04 UTC
I agree with you, there's little value in providing this as port. Everyone should use mix to manage dependencies.
Comment 6 Pat Maddox 2022-06-08 16:29:56 UTC
I agree with removing it for the reasons given.
Comment 7 Andrey Korobkov 2022-09-15 13:32:32 UTC
Also agree with removing.
Comment 8 Dave Cottlehuber freebsd_committer 2022-10-22 14:22:41 UTC
removed in ab4964e6d96e9d3ac2c75c414dee85bf625a06fa